#ifndef TESTER_H
#define TESTER_H

#include <QMainWindow>
#include "loginwidget.h"
#include "testselection.h"
#include "testentity.h"
#include <QtSql/QSqlDatabase>
#include <QtSql/QSqlQuery>
#include <QPushButton>
#include <QVector>


QT_BEGIN_NAMESPACE
namespace Ui { class Tester; }
QT_END_NAMESPACE

class Tester : public QMainWindow
{
    Q_OBJECT

public:
    Tester(QWidget *parent = nullptr);
    ~Tester();

public slots:
    void receiveNameAndPassword();
    void receiveTestEntity();

protected:
    QSqlDatabase db;
    QSqlQuery query;

private:
    Ui::Tester *ui;
    QString currentName;
    QString currentPassword;

    TestEntity* currentTest;

    TestSelection* testSelectionWidget;
    LoginWidget* loginWidget;

};
#endif // TESTER_H
